GrailsHttpSession (Grails 6.0.0)

Package: grails.web.servlet.mvc

## [Java] Class GrailsHttpSession

- grails.web.servlet.mvc.GrailsHttpSession

- All Implemented Interfaces and Traits:
    javax.servlet.http.HttpSession

      public class GrailsHttpSession
      extends java.lang.Object
      implements javax.servlet.http.HttpSession

  An adapter class that takes a regular HttpSession and allows you to access it like a Groovy map.

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private javax.servlet.http.HttpSession` | `adaptee` |
    `private javax.servlet.http.HttpServletRequest` | `request` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsHttpSession (javax.servlet.http.HttpServletRequest request)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private void` | `createSessionIfNecessary()`
    `` | `public java.lang.Object` | `getAttribute(java.lang.String name)`
    `` | `public java.util.Enumeration` | `getAttributeNames()`
    `` | `public long` | `getCreationTime()`
    `` | `public java.lang.String` | `getId()`
    `` | `public long` | `getLastAccessedTime()`
    `` | `public int` | `getMaxInactiveInterval()`
    `` | `public javax.servlet.ServletContext` | `getServletContext()`
    `` | `public javax.servlet.http.HttpSessionContext` | `getSessionContext()` @deprecated See Also: javax.servlet.http.HttpSession#getSessionContext()
    `` | `public java.lang.Object` | `getValue(java.lang.String name)` @deprecated See Also: javax.servlet.http.HttpSession#getValue(java.lang.String)
    `` | `public java.lang.String[]` | `getValueNames()` @deprecated See Also: javax.servlet.http.HttpSession#getValueNames()
    `` | `public void` | `invalidate()`
    `` | `public boolean` | `isNew()`
    `` | `public void` | `putValue(java.lang.String name, java.lang.Object value)` @deprecated See Also: javax.servlet.http.HttpSession#putValue(java.lang.String, java.lang.Object)
    `` | `public void` | `removeAttribute(java.lang.String name)`
    `` | `public void` | `removeValue(java.lang.String name)` @deprecated See Also: javax.servlet.http.HttpSession#removeValue(java.lang.String)
    `` | `public void` | `setAttribute(java.lang.String name, java.lang.Object value)`
    `` | `public void` | `setMaxInactiveInterval(int arg0)`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private javax.servlet.http.HttpSession adaptee

    - #### private javax.servlet.http.HttpServletRequest request

  - ### Constructor Detail

    - #### public GrailsHttpSession(javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### private void createSessionIfNecessary()

    - #### public java.lang.Object getAttribute(java.lang.String name)

    - #### @java.lang.SuppressWarnings({ "rawtypes", "unchecked" }) public java.util.Enumeration getAttributeNames()

    - #### public long getCreationTime()

    - #### public java.lang.String getId()

    - #### public long getLastAccessedTime()

    - #### public int getMaxInactiveInterval()

    - #### public javax.servlet.ServletContext getServletContext()

    - #### @java.lang.Deprecated public javax.servlet.http.HttpSessionContext getSessionContext()

      deprecated:
      See Also:
        javax.servlet.http.HttpSession#getSessionContext()

    - #### @java.lang.Deprecated public java.lang.Object getValue(java.lang.String name)

      deprecated:
      See Also:
        javax.servlet.http.HttpSession#getValue(java.lang.String)

    - #### @java.lang.Deprecated public java.lang.String[] getValueNames()

      deprecated:
      See Also:
        javax.servlet.http.HttpSession#getValueNames()

    - #### public void invalidate()

    - #### public boolean isNew()

    - #### @java.lang.Deprecated public void putValue(java.lang.String name, java.lang.Object value)

      deprecated:
      See Also:
        javax.servlet.http.HttpSession#putValue(java.lang.String, java.lang.Object)

    - #### public void removeAttribute(java.lang.String name)

    - #### @java.lang.Deprecated public void removeValue(java.lang.String name)

      deprecated:
      See Also:
        javax.servlet.http.HttpSession#removeValue(java.lang.String)

    - #### public void setAttribute(java.lang.String name, java.lang.Object value)

    - #### public void setMaxInactiveInterval(int arg0)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.lang.String toString()